@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';




$oms-widget-popup-bottom-toolbar--height: 80px;
$oms-widget-reallocationconsignment-header--height: 60px;
$oms-widget-reallocationconsignment-separator--height: 2*$container-spacing-default__third;
$oms-widget-footer-gutter: 2*$container-spacing-default__third;
$omg-widget-gutter: 2*$container-spacing-default__third;
$oms-widget-footer--border: 1px solid $grey__default--300;

$oms-widget-reallocationconsignment-list-container__checkbox-label--margin-left: 3px;
$oms-widget-reallocationconsignment-listbox-header__column-header--padding: 4px;
$oms-widget-reallocationconsignment-listbox-header__comment--margin-top: -3px;

//implementing the footer buttons styling
.oms-widget-footer{
    padding: $oms-widget-footer-gutter;
    text-align: right;
    border-top: $oms-widget-footer--border;
}

.oms-widget-reallocationconsignment-configuration-footer,
.oms-widget-footer{
    height: $oms-widget-popup-bottom-toolbar--height;
}

.oms-widget-reallocationconsignment-configuration--separator{
    height: $oms-widget-reallocationconsignment-separator--height;
}

.oms-widget-reallocationconsignment-header{
    height: $oms-widget-reallocationconsignment-header--height;
}

.oms-widget-reallocationconsignment-list{
    border-top: $oms-widget-footer--border;
    height: calc(100% - #{$oms-widget-popup-bottom-toolbar--height + 2*$oms-widget-reallocationconsignment-separator--height + $oms-widget-reallocationconsignment-header--height});
}

.oms-widget-reallocationconsignment-header, 
.oms-widget-reallocationconsignment-list{
    padding-left: $omg-widget-gutter;
    padding-right: $omg-widget-gutter;
}

//overwriting grid styling to match the listbox - header
.oms-widget-reallocationconsignment-list-container .z-grid-header{
    background: transparent;
}

//overwrite styling from backoffice - as the case is not implemented by the framework
//move some inline styling in the scss file
.oms-widget-reallocationconsignment-list-container__checkbox.z-checkbox {
    label{
        display: inline;
        padding-right: 0;
        margin-left: $oms-widget-reallocationconsignment-list-container__checkbox-label--margin-left;
    }

    >input{
        width: 0;
    }

}

.oms-widget-reallocationconsignment-listbox-header .z-column-content{
    padding: $oms-widget-reallocationconsignment-listbox-header__column-header--padding;
}

.oms-widget-reallocationconsignment-listbox-header__comment .z-column-content{
    margin-top: $oms-widget-reallocationconsignment-listbox-header__comment--margin-top;
}

.oms-widget-reallocationconsignment-configuration{
    border-top: $oms-widget-footer--border;
}